Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface DiscreteSolidCoverage

All Superinterfaces:
  Coverage, DiscreteCoverage

    @UML(identifier="CV_DiscreteSolidCoverage",
         specification=ISO_19123)
    public interface DiscreteSolidCoverage

extends DiscreteCoverage

A coverage whose domain consists of a collection of solids. Solids or their boundaries may be of any shape. Generally, the solids that constitute the domain of a coverage are mutually exclusive and exhaustively partition the extent of the coverage, but this is not required.

Example: Buildings in an urban area could be represented as a set of unconnected solids each with attributes such as building name, address, floor space, and number of occupants.

As in the case of surfaces, the spatial domain of a discrete solid coverage may be a regular or semiregular tessellation of the extent of the coverage. The tessellation can be defined in terms of a 3 dimensional grid, where the set of grid cells is the spatial domain of the coverage.

TODO:
  evaluate and evaluateInverse

Method Summary
`Set<SolidValuePair>` | `getElements()` Returns the set of solid-value pairs included in this coverage.
`Set<SolidValuePair>` | `list()` Returns the dictionary of solid-value pairs that contain the objects in the domain of the coverage each paired with its record of feature attribute values.
`Set<SolidValuePair>` | `locate(DirectPosition p)` Returns the set of solid-value pairs that include the domain objects containing the specified direct position.

Methods inherited from interface DiscreteCoverage
`evaluate, evaluateInverse`

Methods inherited from interface Coverage
`evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluateInverse, find, find, getCommonPointRule, getCoordinateReferenceSystem, getDimensionNames, getDomainElements, getDomainExtents, getEnvelope, getMetadataNames, getMetadataValue, getNumSampleDimensions, getRangeElements, getRangeType, getRenderableImage, getSampleDimension, getSources, select`

Method Detail

### getElements

    @UML(identifier="element",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<SolidValuePair> getElements()

  Returns the set of solid-value pairs included in this coverage.

  Specified by:
    `getElements` in interface `DiscreteCoverage`

### locate

    @UML(identifier="locate",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<SolidValuePair> locate(DirectPosition p)

  Returns the set of solid-value pairs that include the domain objects containing the specified direct position.

  Specified by:
    `locate` in interface `DiscreteCoverage`

### list

    @UML(identifier="list",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<SolidValuePair> list()

  Returns the dictionary of solid-value pairs that contain the objects in the domain of the coverage each paired with its record of feature attribute values.

  Specified by:
    `list` in interface `Coverage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.